org.eclipse.net4j.util.concurrent

## Interface DelegableReentrantLock.DelegateDetector

- Enclosing class:
    DelegableReentrantLock

      public static interface DelegableReentrantLock.DelegateDetector

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `DelegableReentrantLock.DelegateDetector.Factory`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDelegate(java.lang.Thread thread, java.lang.Thread owner)`

- - ### Method Detail

    - #### isDelegate

          boolean isDelegate(java.lang.Thread thread,
                             java.lang.Thread owner)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html